> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUser forecasts

> Get forecast amounts for a given EndUser and category



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/forecast
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/forecast:
    get:
      tags:
        - EndUserCalculations
      summary: Get EndUser forecasts
      description: Get forecast amounts for a given EndUser and category
      parameters:
        - description: >-
            end_user_id for statistics; either end_user_id or end_user_heron_id
            is required
          in: query
          name: end_user_id
          required: false
          schema:
            example: your_end_user_id
            nullable: true
            type: string
        - description: >-
            Heron-generated id for end user; either end_user_id or
            end_user_heron_id is required
          in: query
          name: end_user_heron_id
          required: false
          schema:
            example: eus_jJ8k6bww7xfjM69qXkigjw
            nullable: true
            type: string
        - description: ISO 4217 currency code to convert to
          in: query
          name: to_currency
          required: false
          schema:
            enum:
              - GBP
              - USD
              - EUR
              - CAD
              - AUD
              - null
            example: USD
            nullable: true
            type: string
        - description: Aggregate results over time, i.e., aggregate by week or by month
          in: query
          name: date_granularity
          required: false
          schema:
            default: month
            enum:
              - week
              - month
            example: month
            type: string
        - description: >-
            Heron ID of category to be forecasted; either category_heron_id or
            category_label must be present
          in: query
          name: category_heron_id
          required: false
          schema:
            example: ctg_QBgKEzgGvhGFkMwxiVUtyX
            type: string
        - description: >-
            Label of category to be forecasted; either category_heron_id or
            category_label must be present
          in: query
          name: category_label
          required: false
          schema:
            example: Revenue
            type: string
        - description: The earliest transaction timestamp date to use in forecasting
          in: query
          name: from_date
          required: false
          schema:
            example: '2022-01-01'
            format: date
            nullable: true
            type: string
        - description: The latest transaction timestamp date to use in forecasting
          in: query
          name: to_date
          required: false
          schema:
            example: '2022-01-31'
            format: date
            nullable: true
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/EndUserForecastOutputSchema'
                type: array
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserForecastOutputSchema:
      properties:
        currency:
          description: ISO 4217 currency code
          example: USD
          maxLength: 3
          minLength: 3
          nullable: true
          type: string
        date:
          description: Forecast date at specified date granularity
          example: '2026-07-16'
          type: string
        predicted:
          description: Predicted amount
          example: 42.42
          type: number
        predicted_lower:
          description: Predict amount lower bound
          example: 4.24
          type: number
        predicted_upper:
          description: Predicted amount upper bound
          example: 420.42
          type: number
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````